Overview | Modules | Class Hierarchy | Classes | Members

# tlp::StringVectorProperty Class Reference

`#include <StringProperty.h>`

Inherits tlp::AbstractProperty< StringVectorType, StringVectorType >.

Inheritance diagram for tlp::StringVectorProperty:

[legend]
Collaboration diagram for tlp::StringVectorProperty:

[legend]
List of all members.

## Public Member Functions

- StringVectorProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)

## Constructor & Destructor Documentation

tlp::StringVectorProperty::StringVectorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) | `[inline]`

## Member Function Documentation

PropertyInterface* tlp::StringVectorProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.

Tulip Software by LaBRI Visualization Team 2001 - 2010